#include <vector>
#include <cstdio>

using namespace std;

long i;

long UkupnaSreca(long A[],long B[],long N){
    int s = 0;
    for(i = 0;i < N;i++){
        s += (A[i] * B[i]); 
    }
    return s;
}

int main(){
    long N,M,x,y;

    scanf("%ld%ld",&N,&M);

    long A[N + 2]; // A - druzeljubivost
    long B[N + 2] = {0}; // B - Parovi

    for(i = 0; i < N; i++){
        scanf("%ld", &A[i]);
    }

    for(i = 0; i < M; i++){
        scanf("%ld%ld",&x,&y);
        if(A[x - 1] < 0 || A[y - 1] < 0){
            B[x - 1]--;
            B[y - 1]--;
        } else {
            B[x - 1]++;
            B[y - 1]++;
        }
    }

    printf("%ld",UkupnaSreca(A,B,N));
    return 0;
}